3x-ui3x-ui
参考API 参考

订阅服务器

一个独立的 HTTP/HTTPS 服务器,用于向客户端提供代理订阅链接(标准、JSON 和 Clash)。该服务器监听自己的端口(默认 10882),并在“设置 → 订阅”中进行配置。路径可自定义;下方展示的是默认值。所有订阅端点都会设置响应头,供客户端应用读取流量/到期信息。

GET
/{subPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

subPath*string

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}
GET
/{jsonPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

jsonPath*string

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}
GET
/{clashPath}{subid}

Authorization

AuthorizationBearer <token>

API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.

In: header

Path Parameters

subid*string

Client subscription ID.

clashPath*string

Response Body

application/json

curl -X GET "https://example.com/stringstring"
{  "success": true,  "msg": "string",  "obj": null}